local L = AceLibrary("AceLocale-2.2"):new("simpleMinimap")
--
L:RegisterTranslations("enUS", function() return({
	alpha = true,
		alpha_desc = "minimap alpha when outdoors",
	bgs = "battlegrounds",
		bgs_desc = "battlegrounds indicator",
	location = "location bar",
		location_desc = "location display bar settings",
			locationShow = "show location bar",
				locationShow_desc = "show / hide location bar",
			locationText = "location bar text",
				locationText_desc = "show zone location text when bar is hidden",
	lock = "lock minimap",
		lock_desc = "lock minimap movement and hide movers",
	lockdown = true,
		lockdown_desc = "lockdown movement and other methods (prevents other mods from using them)",
	map = "map button",
		map_desc = "map frame button",
	mail = "mail indicator",
		mail_desc = "unread mail indicator",
	meet = "LFG indicator",
		meet_desc = "looking for group eyeball",
	modules = true,
	radius = true,
		radius_desc = "minimap button spacing",
	reset = "reset profile",
		reset_desc = "reset current profile to defaults",
	resize = "resize buttons",
		resize_desc = "resize minimap buttons",
	scale = true,
		scale_desc = "set minimap cluster scale",
	show = "show / hide",
		show_desc = "show and hide minimap / UI elements",
	strata = true,
		strata_desc = "changes how the frame is overlayed on others",
	time = "time indicator",
		time_desc = "day / night indicator",
	track = "tracking button",
		track_desc = "hunter / gatherer tracking indicator",
	zoom = "zoom in / out",
		zoom_desc = "zoon in / out buttons",
	reset_popup = "Reset this simpleMinimap profile to defaults?"
}) end)
BINDING_HEADER_smmTITLE = "simpleMinimap"
BINDING_NAME_smmTOGGLE = "Toggle Minimap"
BINDING_NAME_smmEXPAND = "Expand Minimap"
--
L:RegisterTranslations("koKR", function() return({
	alpha = "투명도",
		alpha_desc = "야외일 때 미니맵 투명도",
	bgs = "전장",
		bgs_desc = "전장 인디케이터",
	location = "지역 바",
		location_desc = "지역 표시 바 설정",
			locationShow = "지역 바 표시",
				locationShow_desc = "지역 바 표시 / 숨김",
			locationText = "지역 바 글자",
				locationText_desc = "바를 숨길시 지역 글자를 표시합니다.",
	lock = "미니맵 고정",
		lock_desc = "미니맵 움직임 고정 / 앵커 숨김",
	lockdown = "잠금기능 사용",
		lockdown_desc = "이동이나 다른 애드온에서 사용하지 못하도록 잠금기능을 활성화 합니다.",
	map = "지도 버튼",
		map_desc = "지도 열기 버튼",
	mail = "우편 인디케이터",
		mail_desc = "읽지 않은 우편 인디케이터",
	meet = "파티찾기 인디케이터", -- check
		meet_desc = "파티찾기 인디케이터", -- check
	modules = "모듈",
	reset = "프로파일 초기화",
		reset_desc = "현재 프로파일을 초기값으로 초기화",
	scale = "크기",
		scale_desc = "미니맵 클러스터 크기 설정",
	show = "표시 / 숨김",
		show_desc = "미니맵 / UI 구성요소 표시와 숨김 ",
	strata = "계층",
		strata_desc = "창의 오버레이 순위 변경",
	time = "시간 인디케이터",
		time_desc = "낮 / 밤 인디케이터",
	track = "추적 버튼",
		track_desc = "사냥꾼 / 채집 추적 인디케이터",
	zoom = "줌 인 / 아웃",
		zoom_desc = "줌 인 / 아웃 버튼",
	reset_popup = "simpleMinimap 프로파일을 초기값으로 초기화 하시겠습니까?"
}) end)
if(GetLocale() == "koKR") then
	BINDING_NAME_smmTOGGLE = "미니맵 토글"
end
--
L:RegisterTranslations("deDE", function() return({
	alpha = "helligkeit",
		alpha_desc = "minimap helligkeit wenn außerhalb",
	bgs = "schlachtfelder",
		bgs_desc = "schlachtfeld symbol",
	location = "positionsleiste",
		location_desc = "positionsanzeigeleiste einstellungen",
			locationShow = "zeige positionsleiste",
				locationShow_desc = "zeigt / versteckt die positionsleiste",
			locationText = "positionsleisten text",
				locationText_desc = "zeigt zonen positionstext wenn die leiste versteckt ist",
	lock = "sperre minimap",
		lock_desc = "sperrt die minimap gegen verschieben und versteckt die questfenster",
	map = "kartentaste",
		map_desc = "kartenfenstertaste",
	mail = "postsymbol",
		mail_desc = "entfernt das postsymbol",
	meet = "lfg / lfm symbol",
		meet_desc = "suche nach gruppe / und mehr anzeigen",
	modules = "module",
	reset = "resette profil",
		reset_desc = "resettet das gegenwärige profil auf seine grundeinstellung",
	scale = "skalierung",
		scale_desc = "stellt die minimap skalierung ein",
	show = "zeige / verstecke",
		show_desc = "zeigt oder versteckt die minimap / UI elemente",
	strata = "höhenebene",
		strata_desc = "ändert die höhenebene des fensters im gegensatz zu anderen fenstern (verhindert das 2 fenster die gleiche höhenebene haben und somit ineinander verlaufen)",
	time = "zeitanzeige",
		time_desc = "tag / nachtsymbol",
	track = "suchersymbol",
		track_desc = "jäger / sammler (erze/kräuter) symbol",
	zoom = "zoom rein / raus",
		zoom_desc = "zoon rein / raus tasten",
	reset_popup = "das simpleMinimap profil auf seine grundeinstellung resetten?"
}) end)
if(GetLocale() == "deDE") then
	BINDING_NAME_smmTOGGLE = "Aktiviert Minimap"
end
--
L:RegisterTranslations("zhCN", function() return({ 
    alpha = "外部透明度", 
        alpha_desc = "迷你地图的外部透明度", 
    bgs = "战场", 
        bgs_desc = "战场指示器", 
    location = "本地地址栏", 
        location_desc = "本地地址显示设定", 
            locationShow = "显示本地地址栏", 
                locationShow_desc = "显示 / 隐藏 本地地址栏", 
            locationText = "本地地址栏文字", 
                locationText_desc = "在本地地址栏隐藏时显示地址栏上的文字", 
    lock = "锁定迷你地图", 
        lock_desc = "锁定迷你地图动作和隐藏移动", 
    lockdown = "禁闭迷你地图", 
        lockdown_desc = "禁闭移动以及其他方式 (阻止来自其他模块对它们的使用(滥用))", 
    map = "地图按钮", 
        map_desc = "地图框体按钮", 
    mail = "邮件指示器", 
        mail_desc = "未读邮件指示器", 
    meet = "副本集合石", 
        meet_desc = "副本集合石指示器", 
	radius = "间隔调节",
		radius_desc = "调节迷你地图的间隔",
    reset = "重置外观", 
        reset_desc = "重置当前的外观回到默认", 
    resize = "调整大小按钮", 
        resize_desc = "迷你地图的调整大小按钮", 
    scale = "尺度", 
        scale_desc = "设置迷你地图的尺度大小", 
    show = "显示/隐藏", 
        show_desc = "显示和隐藏迷你地图/插件的元素", 
    strata = "层叠", 
        show_desc = "修改框体的层叠关系", 
    time = "时间指示器", 
        time_desc = "昼/夜 指示器", 
    track = "追踪按钮", 
        track_desc = "追踪 指示器", 
    zoom = "放大/缩小", 
        zoom_desc = "放 /缩小 按钮", 
    reset_popup = "重置迷你地图回到默认?" 
}) end)
--
L:RegisterTranslations("esES", function() return({
	alpha = "Transparencia",
		alpha_desc = "Transparencia del minimapa en exteriores",
	bgs = "Campos de batalla",
		bgs_desc = "Indicador de campos de batalla",
	location = "Barra de lugar",
		location_desc = "Ajustes de visualizaci\195\179n de la barra de lugar",
			locationShow = "Mostrar barra de lugar",
				locationShow_desc = "Muestra / oculta la barra de lugar",
			locationText = "Texto de la barra de lugar",
				locationText_desc = "Muestra el texto de la zona cuando la barra est\195\161 oculta",
	lock = "Bloquear minimapa",
		lock_desc = "Bloquea el movimiento del minimapa y oculta los desplazadores",
	lockdown = "Bloquear",
		lockdown_desc = "Bloquea el movimiento y otros m\195\169todos (previene que otros acceosrios lo usen... o abusen)",
	map = "Bot\195\179n de mapa",
		map_desc = "Bot\195\179n del mapa del mundo",
	mail = "Indicador de correo",
		mail_desc = "Indicador de correo no le\195\173do",
	meet = "Indicadores de B\195\186squeda de Grupo",
		meet_desc = "El ojo de b\195\186squeda de grupo",
	modules = "M\195\179dulos",
	radius = "Radio",
		radius_desc = "El espaciado de los botones del minimapa",
	reset = "Reestablecer perfil",
		reset_desc = "Reestablece el perfil actual a los valores por defecto",
	resize = "Tama\195\177o de botones",
		resize_desc = "Cambia el tama\195\177o de los botones del minimapa",
	scale = "Escala",
		scale_desc = "Establece el tama\195\177o del conjunto del minimapa",
	show = "Mostrar / Ocultar",
		show_desc = "Muestra y oculta el minimapa / elementos de la interfaz",
	strata = "Estrato",
		strata_desc = "Cambia c\195\179mo se superpone el marco respecto a otros",
	time = "Indicador de hora",
		time_desc = "Indicador de d\195\173a y noche",
	track = "Bot\195\179n de rastreo",
		track_desc = "Indicadores de rastreo de cazadores / recolectores",
	zoom = "Acercar / Alejar",
		zoom_desc = "Botones para alejar o acercar la vista en el minimapa",
	reset_popup = "\194\191Reestablecer este perfil de simpleMinimap a los valores por defecto?"
}) end)
if(GetLocale() == "esES") then
BINDING_HEADER_smmTITLE = "simpleMinimap"
BINDING_NAME_smmTOGGLE = "Activar Minimapa"
BINDING_NAME_smmEXPAND = "Expander Minimapa"
end
--
L:RegisterTranslations("zhTW", function() return({ 
    alpha = "透明度", 
    alpha_desc = "迷你地圖透明度", 
    bgs = "戰場 / 競技場", 
    bgs_desc = "戰場 / 競技場 指示器", 
    location = "本地位址欄", 
    location_desc = "本地位址顯示設定", 
    locationShow = "顯示本地位址欄", 
    locationShow_desc = "顯示 / 隱藏 本地位址欄", 
    locationText = "本地位址欄文字", 
    locationText_desc = "在本地位址欄隱藏時顯示位址欄上的文字", 
    lock = "鎖定迷你地圖", 
    lock_desc = "鎖定迷你地圖動作和隱藏移動", 
    lockdown = "禁閉迷你地圖", 
    lockdown_desc = "禁閉移動迷你地圖 (防止與其他模組的可能衝突)", 
    map = "地圖按鈕", 
    map_desc = "地圖框體按鈕", 
    mail = "郵件指示器", 
    mail_desc = "未讀郵件指示器", 
    meet = "副本集合石", 
    meet_desc = "副本集合石指示器", 
    modules = "模組", 
    radius = "半徑",
    radius_desc = "迷你地圖按鈕間距",
    reset = "重置外觀", 
    reset_desc = "重置當前的外觀回到默認", 
    resize = "調整大小按鈕", 
    resize_desc = "迷你地圖的調整大小按鈕", 
    scale = "尺度", 
    scale_desc = "設置迷你地圖的尺度大小", 
    show = "顯示/隱藏", 
    show_desc = "顯示和隱藏迷你地圖/插件的元素", 
    strata = "層疊", 
    show_desc = "修改框體的層疊關係", 
    time = "時間指示器", 
    time_desc = "晝/夜 指示器", 
    track = "追蹤按鈕", 
    track_desc = "追蹤 指示器", 
    zoom = "放大/縮小", 
    zoom_desc = "放 /縮小 按鈕", 
    reset_popup = "重置迷你地圖回到預設", 
}) end)

